
Redmine - Defect #8091

LDAP Authentificaton doesn't verify certificate validity

2011-04-07 04:13 - steven Mr

Status: Closed Start date: 2011-04-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.2

Description

Security-Bug:

LDAP Authentificaton doesn't verify certificate validity of the LDAP-server-certificate. Connection to the LDAP-Server with LDAPS is

established, even if the server name in the certifitcate doesn't match or the certificate authority is not trustful.

Solution: If something is wrong with the certificate, or the certificate authority is not trustful, the connection to the LDAP-Server should

be closed and any LDAP-Login should be disabled.

Related issues:

Is duplicate of Redmine - Defect #8068: LDAP Authentificaton doesn't verify c... Closed 2011-04-05

History

#1 - 2011-04-07 04:50 - Toshi MARUYAMA

- Category changed from I18n to LDAP

#2 - 2011-04-07 09:12 - Etienne Massip

Note : not sure it's a true issue report as steven Mr just opened #8090 which is a test issue.

#3 - 2011-06-06 21:57 - Tony Edmonds

- Status changed from New to Resolved

Duplicate of #8068

#4 - 2011-06-07 08:58 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Duplicate

Indeed, thank you.
